Index: /palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_pw.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_s_pw.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -126,7 +129,7 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
 
        REAL(wp)     ::  gu  !< local additional advective velocity
@@ -197,7 +200,7 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
 
        REAL(wp)     ::  gu  !< local additional advective velocity
Index: /palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_up.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_s_up.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -123,15 +126,15 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
-       REAL(wp) ::  wkomp !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
+       REAL(wp) ::  wkomp !< advection velocity along z-direction 
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !< treated scalar
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !< treated scalar
 #endif
 
@@ -202,16 +205,16 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
-       REAL(wp) ::  wkomp !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
+       REAL(wp) ::  wkomp !< advection velocity along z-direction 
        
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !< treated scalar
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !< treated scalar
 #endif
 
Index: /palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_pw.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_u_pw.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -115,10 +118,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
        
-       REAL(wp)    ::  gu !<
-       REAL(wp)    ::  gv !<
+       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
  
        gu = 2.0_wp * u_gtrans
@@ -167,10 +170,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
        
-       REAL(wp)    ::  gu !<
-       REAL(wp)    ::  gv !<
+       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
 
        gu = 2.0_wp * u_gtrans
Index: /palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_u_up.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_u_up.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -114,11 +117,11 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
-       REAL(wp) ::  wkomp !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
+       REAL(wp) ::  wkomp !< advection velocity along z-direction 
 
        
@@ -190,11 +193,11 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
-       REAL(wp) ::  wkomp !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
+       REAL(wp) ::  wkomp !< advection velocity along z-direction 
 
 
Index: /palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_v_pw.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_v_pw.f90	(revision 3547)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -116,10 +119,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
        
-       REAL(wp)    ::  gu !<
-       REAL(wp)    ::  gv !<
+       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
  
 
@@ -169,10 +172,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
        
-       REAL(wp)    ::  gu !<
-       REAL(wp)    ::  gv !<
+       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
 
 
Index: /palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_v_up.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_v_up.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -114,11 +117,11 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
-       REAL(wp) ::  wkomp !<       
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
+       REAL(wp) ::  wkomp !< advection velocity along z-direction       
 
 
@@ -190,11 +193,11 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
-       REAL(wp) ::  wkomp !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
+       REAL(wp) ::  wkomp !< advection velocity along z-direction 
 
 
Index: /palm/trunk/SOURCE/advec_w_pw.f90
===================================================================
--- /palm/trunk/SOURCE/advec_w_pw.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_w_pw.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -115,10 +118,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
        
-       REAL(wp)    ::  gu !<
-       REAL(wp)    ::  gv !<
+       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
 
  
@@ -168,10 +171,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
        
-       REAL(wp)    ::  gu !<
-       REAL(wp)    ::  gv !<
+       REAL(wp)    ::  gu !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv !< Galilei-transformation velocity along y
 
        gu = 2.0_wp * u_gtrans
Index: /palm/trunk/SOURCE/advec_w_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_w_up.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_w_up.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3538 2018-11-20 10:55:41Z suehring
 ! Remove unnecessary double-masking of topography
 ! 
@@ -117,10 +120,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
 
 
@@ -191,10 +194,10 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !<
-       INTEGER(iwp) ::  j !<
-       INTEGER(iwp) ::  k !<
-
-       REAL(wp) ::  ukomp !<
-       REAL(wp) ::  vkomp !<
+       INTEGER(iwp) ::  i !< grid index along x-direction
+       INTEGER(iwp) ::  j !< grid index along y-direction
+       INTEGER(iwp) ::  k !< grid index along z-direction
+
+       REAL(wp) ::  ukomp !< advection velocity along x-direction 
+       REAL(wp) ::  vkomp !< advection velocity along y-direction 
 
 
Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 3546)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3467 2018-10-30 19:05:21Z suehring
 ! Implementation of a new aerosol module salsa.
 ! 
@@ -1194,47 +1197,47 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN = *), INTENT(IN) ::  sk_char !<
+       CHARACTER (LEN = *), INTENT(IN) ::  sk_char !< string identifier, used for assign fluxes to the correct dimension in the analysis array 
        
-       INTEGER(iwp) ::  i     !<
-       INTEGER(iwp) ::  ibit0 !<
-       INTEGER(iwp) ::  ibit1 !<
-       INTEGER(iwp) ::  ibit2 !<
-       INTEGER(iwp) ::  ibit3 !<
-       INTEGER(iwp) ::  ibit4 !<
-       INTEGER(iwp) ::  ibit5 !<
-       INTEGER(iwp) ::  ibit6 !<
-       INTEGER(iwp) ::  ibit7 !<
-       INTEGER(iwp) ::  ibit8 !<
-       INTEGER(iwp) ::  i_omp !<
-       INTEGER(iwp) ::  j     !<
-       INTEGER(iwp) ::  k     !<
-       INTEGER(iwp) ::  k_mm  !<
-       INTEGER(iwp) ::  k_pp  !<
-       INTEGER(iwp) ::  k_ppp !<
-       INTEGER(iwp) ::  tn    !<
+       INTEGER(iwp) ::  i     !< grid index along x-direction
+       INTEGER(iwp) ::  ibit0 !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp) ::  ibit1 !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp) ::  ibit2 !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp) ::  ibit3 !< flag indicating 1st-order scheme along y-direction
+       INTEGER(iwp) ::  ibit4 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp) ::  ibit5 !< flag indicating 5th-order scheme along y-direction
+       INTEGER(iwp) ::  ibit6 !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp) ::  ibit7 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp) ::  ibit8 !< flag indicating 5th-order scheme along z-direction
+       INTEGER(iwp) ::  i_omp !< leftmost index on subdomain, or in case of OpenMP, on thread
+       INTEGER(iwp) ::  j     !< grid index along y-direction
+       INTEGER(iwp) ::  k     !< grid index along z-direction
+       INTEGER(iwp) ::  k_mm  !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_pp  !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_ppp !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  tn    !< number of OpenMP thread
        
-       REAL(wp)     ::  diss_d !<
-       REAL(wp)     ::  div    !<
-       REAL(wp)     ::  flux_d !<
-       REAL(wp)     ::  u_comp !<
-       REAL(wp)     ::  v_comp !<
+       REAL(wp)     ::  diss_d !< artificial dissipation term at grid box bottom
+       REAL(wp)     ::  div    !< diverence on scalar grid
+       REAL(wp)     ::  flux_d !< 6th-order flux at grid box bottom
+       REAL(wp)     ::  u_comp !< advection velocity along x-direction 
+       REAL(wp)     ::  v_comp !< advection velocity along y-direction 
        
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !< advected scalar
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER    ::  sk     !<
+       REAL(wp), DIMENSION(:,:,:), POINTER    ::  sk     !< advected scalar
 #endif
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t !<
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_t !< discretized artificial dissipation at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t !< discretized 6th-order flux at top of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_diss_y_local !<
-       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_flux_y_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_diss_y_local !< discretized artificial dissipation at southward-side of the grid box 
+       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_flux_y_local !< discretized 6th-order flux at northward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_diss_x_local !<
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_flux_x_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_diss_x_local !< discretized artificial dissipation at leftward-side of the grid box 
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_flux_x_local !< discretized 6th-order flux at leftward-side of the grid box
        
 
@@ -1773,38 +1776,38 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !<
-       INTEGER(iwp) ::  ibit9  !<
-       INTEGER(iwp) ::  ibit10 !<
-       INTEGER(iwp) ::  ibit11 !<
-       INTEGER(iwp) ::  ibit12 !<
-       INTEGER(iwp) ::  ibit13 !<
-       INTEGER(iwp) ::  ibit14 !<
-       INTEGER(iwp) ::  ibit15 !<
-       INTEGER(iwp) ::  ibit16 !<
-       INTEGER(iwp) ::  ibit17 !<
-       INTEGER(iwp) ::  i_omp  !<
-       INTEGER(iwp) ::  j      !<
-       INTEGER(iwp) ::  k      !<
-       INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_pp   !<
-       INTEGER(iwp) ::  k_ppp  !<
-       INTEGER(iwp) ::  tn     !<
+       INTEGER(iwp) ::  i      !< grid index along x-direction
+       INTEGER(iwp) ::  ibit9  !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp) ::  ibit10 !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp) ::  ibit11 !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp) ::  ibit12 !< flag indicating 1st-order scheme along y-direction
+       INTEGER(iwp) ::  ibit13 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp) ::  ibit14 !< flag indicating 5th-order scheme along y-direction
+       INTEGER(iwp) ::  ibit15 !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp) ::  ibit16 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp) ::  ibit17 !< flag indicating 5th-order scheme along z-direction
+       INTEGER(iwp) ::  i_omp  !< leftmost index on subdomain, or in case of OpenMP, on thread
+       INTEGER(iwp) ::  j      !< grid index along y-direction
+       INTEGER(iwp) ::  k      !< grid index along z-direction
+       INTEGER(iwp) ::  k_mm   !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_pp   !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_ppp  !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  tn     !< number of OpenMP thread
        
-       REAL(wp)    ::  diss_d   !<
-       REAL(wp)    ::  div      !<
-       REAL(wp)    ::  flux_d   !<
-       REAL(wp)    ::  gu       !<
-       REAL(wp)    ::  gv       !<
-       REAL(wp)    ::  u_comp_l !<
+       REAL(wp)    ::  diss_d   !< artificial dissipation term at grid box bottom
+       REAL(wp)    ::  div      !< diverence on u-grid
+       REAL(wp)    ::  flux_d   !< 6th-order flux at grid box bottom
+       REAL(wp)    ::  gu       !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv       !< Galilei-transformation velocity along y
+       REAL(wp)    ::  u_comp_l !< advection velocity along x at leftmost grid point on subdomain
        
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_t !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  u_comp !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  v_comp !<
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  w_comp !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  diss_t !< discretized artificial dissipation at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  flux_t !< discretized 6th-order flux at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  u_comp !< advection velocity along x
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  v_comp !< advection velocity along y
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  w_comp !< advection velocity along z
 
        gu = 2.0_wp * u_gtrans
@@ -2268,38 +2271,38 @@
        IMPLICIT NONE
 
-       INTEGER(iwp)  ::  i      !<
-       INTEGER(iwp)  ::  ibit18 !<
-       INTEGER(iwp)  ::  ibit19 !<
-       INTEGER(iwp)  ::  ibit20 !<
-       INTEGER(iwp)  ::  ibit21 !<
-       INTEGER(iwp)  ::  ibit22 !<
-       INTEGER(iwp)  ::  ibit23 !<
-       INTEGER(iwp)  ::  ibit24 !<
-       INTEGER(iwp)  ::  ibit25 !<
-       INTEGER(iwp)  ::  ibit26 !<
-       INTEGER(iwp)  ::  i_omp  !<
-       INTEGER(iwp)  ::  j      !<
-       INTEGER(iwp)  ::  k      !<
-       INTEGER(iwp)  ::  k_mm   !<
-       INTEGER(iwp)  ::  k_pp   !<
-       INTEGER(iwp)  ::  k_ppp  !<
-       INTEGER(iwp)  ::  tn     !<
+       INTEGER(iwp)  ::  i      !< grid index along x-direction
+       INTEGER(iwp)  ::  ibit18 !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp)  ::  ibit19 !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp)  ::  ibit20 !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp)  ::  ibit21 !< flag indicating 1st-order scheme along y-direction 
+       INTEGER(iwp)  ::  ibit22 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp)  ::  ibit23 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp)  ::  ibit24 !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp)  ::  ibit25 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp)  ::  ibit26 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp)  ::  i_omp  !< leftmost index on subdomain, or in case of OpenMP, on thread
+       INTEGER(iwp)  ::  j      !< grid index along y-direction
+       INTEGER(iwp)  ::  k      !< grid index along z-direction
+       INTEGER(iwp)  ::  k_mm   !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp)  ::  k_pp   !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp)  ::  k_ppp  !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp)  ::  tn     !< number of OpenMP thread
        
-       REAL(wp)     ::  diss_d   !<
-       REAL(wp)     ::  div      !<
-       REAL(wp)     ::  flux_d   !<
-       REAL(wp)     ::  gu       !<
-       REAL(wp)     ::  gv       !<
-       REAL(wp)     ::  v_comp_l !<
+       REAL(wp)     ::  diss_d   !< artificial dissipation term at grid box bottom
+       REAL(wp)     ::  div      !< divergence on v-grid
+       REAL(wp)     ::  flux_d   !< 6th-order flux at grid box bottom
+       REAL(wp)     ::  gu       !< Galilei-transformation velocity along x
+       REAL(wp)     ::  gv       !< Galilei-transformation velocity along y
+       REAL(wp)     ::  v_comp_l !< advection velocity along y on leftmost grid point on subdomain
        
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  u_comp !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  v_comp !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  w_comp !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !< discretized artificial dissipation at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !< discretized 6th-order flux at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  u_comp !< advection velocity along x
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  v_comp !< advection velocity along y
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  w_comp !< advection velocity along z
 
        gu = 2.0_wp * u_gtrans
@@ -2770,37 +2773,37 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !<
-       INTEGER(iwp) ::  ibit27 !<
-       INTEGER(iwp) ::  ibit28 !<
-       INTEGER(iwp) ::  ibit29 !<
-       INTEGER(iwp) ::  ibit30 !<
-       INTEGER(iwp) ::  ibit31 !<
-       INTEGER(iwp) ::  ibit32 !<
-       INTEGER(iwp) ::  ibit33 !<
-       INTEGER(iwp) ::  ibit34 !<
-       INTEGER(iwp) ::  ibit35 !<
-       INTEGER(iwp) ::  i_omp  !<
-       INTEGER(iwp) ::  j      !<
-       INTEGER(iwp) ::  k      !<
-       INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_pp   !<
-       INTEGER(iwp) ::  k_ppp  !<
-       INTEGER(iwp) ::  tn     !<
+       INTEGER(iwp) ::  i      !< grid index along x-direction
+       INTEGER(iwp) ::  ibit27 !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp) ::  ibit28 !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp) ::  ibit29 !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp) ::  ibit30 !< flag indicating 1st-order scheme along y-direction
+       INTEGER(iwp) ::  ibit31 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp) ::  ibit32 !< flag indicating 5th-order scheme along y-direction
+       INTEGER(iwp) ::  ibit33 !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp) ::  ibit34 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp) ::  ibit35 !< flag indicating 5th-order scheme along z-direction
+       INTEGER(iwp) ::  i_omp  !< leftmost index on subdomain, or in case of OpenMP, on thread
+       INTEGER(iwp) ::  j      !< grid index along y-direction
+       INTEGER(iwp) ::  k      !< grid index along z-direction
+       INTEGER(iwp) ::  k_mm   !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_pp   !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_ppp  !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  tn     !< number of OpenMP thread
        
-       REAL(wp)    ::  diss_d  !<
-       REAL(wp)    ::  div     !<
-       REAL(wp)    ::  flux_d  !<
-       REAL(wp)    ::  gu      !<
-       REAL(wp)    ::  gv      !<
+       REAL(wp)    ::  diss_d  !< discretized artificial dissipation at top of the grid box
+       REAL(wp)    ::  div     !< divergence on w-grid
+       REAL(wp)    ::  flux_d  !< discretized 6th-order flux at top of the grid box
+       REAL(wp)    ::  gu      !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv      !< Galilei-transformation velocity along y
        
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  u_comp !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  v_comp !<
-       REAL(wp), DIMENSION(nzb:nzt+1)  ::  w_comp !<
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  diss_t !< discretized artificial dissipation at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  flux_t !< discretized 6th-order flux at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  u_comp !< advection velocity along x
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  v_comp !< advection velocity along y
+       REAL(wp), DIMENSION(nzb:nzt+1)  ::  w_comp !< advection velocity along z
 
        gu = 2.0_wp * u_gtrans
@@ -3254,47 +3257,47 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN = *), INTENT(IN)    ::  sk_char !<
+       CHARACTER (LEN = *), INTENT(IN)    ::  sk_char !< string identifier, used for assign fluxes to the correct dimension in the analysis array 
        
-       INTEGER(iwp) ::  i      !<
-       INTEGER(iwp) ::  ibit0  !<
-       INTEGER(iwp) ::  ibit1  !<
-       INTEGER(iwp) ::  ibit2  !<
-       INTEGER(iwp) ::  ibit3  !<
-       INTEGER(iwp) ::  ibit4  !<
-       INTEGER(iwp) ::  ibit5  !<
-       INTEGER(iwp) ::  ibit6  !<
-       INTEGER(iwp) ::  ibit7  !<
-       INTEGER(iwp) ::  ibit8  !<
-       INTEGER(iwp) ::  j      !<
-       INTEGER(iwp) ::  k      !<
-       INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_pp   !<
-       INTEGER(iwp) ::  k_ppp  !<
-       INTEGER(iwp) ::  tn = 0 !<
+       INTEGER(iwp) ::  i      !< grid index along x-direction
+       INTEGER(iwp) ::  ibit0  !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp) ::  ibit1  !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp) ::  ibit2  !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp) ::  ibit3  !< flag indicating 1st-order scheme along y-direction
+       INTEGER(iwp) ::  ibit4  !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp) ::  ibit5  !< flag indicating 5th-order scheme along y-direction
+       INTEGER(iwp) ::  ibit6  !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp) ::  ibit7  !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp) ::  ibit8  !< flag indicating 5th-order scheme along z-direction
+       INTEGER(iwp) ::  j      !< grid index along y-direction
+       INTEGER(iwp) ::  k      !< grid index along z-direction
+       INTEGER(iwp) ::  k_mm   !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_pp   !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_ppp  !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  tn = 0 !< number of OpenMP thread
        
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !< advected scalar
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !<
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !< advected scalar
 #endif
 
-       REAL(wp) ::  diss_d !<
-       REAL(wp) ::  div    !<
-       REAL(wp) ::  flux_d !<
-       REAL(wp) ::  u_comp !<
-       REAL(wp) ::  v_comp !<
+       REAL(wp) ::  diss_d !< artificial dissipation term at grid box bottom 
+       REAL(wp) ::  div    !< diverence on scalar grid
+       REAL(wp) ::  flux_d !< 6th-order flux at grid box bottom
+       REAL(wp) ::  u_comp !< advection velocity along x-direction
+       REAL(wp) ::  v_comp !< advection velocity along y-direction
        
-       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_n !<
-       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_r !<
-       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_n !<
-       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_r !<
-       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_t !<
+       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt)   ::  diss_t !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt)   ::  flux_t !< discretized 6th-order flux at rightward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local !<
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local !< discretized artificial dissipation term at southward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local !< discretized 6th-order flux at northward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local !<
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local !< discretized artificial dissipation term at leftward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local !< discretized 6th-order flux at leftward-side of the grid box
         
 
@@ -3813,42 +3816,42 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !<
-       INTEGER(iwp) ::  ibit9  !<
-       INTEGER(iwp) ::  ibit10 !<
-       INTEGER(iwp) ::  ibit11 !<
-       INTEGER(iwp) ::  ibit12 !<
-       INTEGER(iwp) ::  ibit13 !<
-       INTEGER(iwp) ::  ibit14 !<
-       INTEGER(iwp) ::  ibit15 !<
-       INTEGER(iwp) ::  ibit16 !<
-       INTEGER(iwp) ::  ibit17 !<
-       INTEGER(iwp) ::  j      !<
-       INTEGER(iwp) ::  k      !<
-       INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_pp   !<
-       INTEGER(iwp) ::  k_ppp  !<
-       INTEGER(iwp) ::  tn = 0 !<
+       INTEGER(iwp) ::  i      !< grid index along x-direction
+       INTEGER(iwp) ::  ibit9  !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp) ::  ibit10 !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp) ::  ibit11 !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp) ::  ibit12 !< flag indicating 1st-order scheme along y-direction
+       INTEGER(iwp) ::  ibit13 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp) ::  ibit14 !< flag indicating 5th-order scheme along y-direction
+       INTEGER(iwp) ::  ibit15 !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp) ::  ibit16 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp) ::  ibit17 !< flag indicating 5th-order scheme along z-direction
+       INTEGER(iwp) ::  j      !< grid index along y-direction
+       INTEGER(iwp) ::  k      !< grid index along z-direction
+       INTEGER(iwp) ::  k_mm   !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_pp   !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_ppp  !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  tn = 0 !< number of OpenMP thread
        
-       REAL(wp)    ::  diss_d !<
-       REAL(wp)    ::  div    !<
-       REAL(wp)    ::  flux_d !<
-       REAL(wp)    ::  gu     !<
-       REAL(wp)    ::  gv     !<
-       REAL(wp)    ::  v_comp !<
-       REAL(wp)    ::  w_comp !<
+       REAL(wp)    ::  diss_d !< artificial dissipation term at grid box bottom
+       REAL(wp)    ::  div    !< diverence on u-grid
+       REAL(wp)    ::  flux_d !< 6th-order flux at grid box bottom
+       REAL(wp)    ::  gu     !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv     !< Galilei-transformation velocity along y 
+       REAL(wp)    ::  v_comp !< advection velocity along y
+       REAL(wp)    ::  w_comp !< advection velocity along z
        
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_u !<
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_u !<
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_u !< discretized artificial dissipation at southward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_u !< discretized 6th-order flux at southward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_u !<
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_u !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_u !< discretized artificial dissipation at leftward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_u !< discretized 6th-order flux at leftward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  u_comp !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !< discretized artificial dissipation at leftward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !< discretized artificial dissipation at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !< discretized 6th-order flux at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  u_comp !< advection velocity along x
  
        gu = 2.0_wp * u_gtrans
@@ -4305,42 +4308,42 @@
 
 
-       INTEGER(iwp) ::  i      !<
-       INTEGER(iwp) ::  ibit18 !<
-       INTEGER(iwp) ::  ibit19 !<
-       INTEGER(iwp) ::  ibit20 !<
-       INTEGER(iwp) ::  ibit21 !<
-       INTEGER(iwp) ::  ibit22 !<
-       INTEGER(iwp) ::  ibit23 !<
-       INTEGER(iwp) ::  ibit24 !<
-       INTEGER(iwp) ::  ibit25 !<
-       INTEGER(iwp) ::  ibit26 !<
-       INTEGER(iwp) ::  j      !<
-       INTEGER(iwp) ::  k      !<
-       INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_pp   !<
-       INTEGER(iwp) ::  k_ppp  !<
-       INTEGER(iwp) ::  tn = 0 !<
+       INTEGER(iwp) ::  i      !< grid index along x-direction
+       INTEGER(iwp) ::  ibit18 !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp) ::  ibit19 !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp) ::  ibit20 !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp) ::  ibit21 !< flag indicating 1st-order scheme along y-direction
+       INTEGER(iwp) ::  ibit22 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp) ::  ibit23 !< flag indicating 5th-order scheme along y-direction
+       INTEGER(iwp) ::  ibit24 !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp) ::  ibit25 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp) ::  ibit26 !< flag indicating 5th-order scheme along z-direction
+       INTEGER(iwp) ::  j      !< grid index along y-direction
+       INTEGER(iwp) ::  k      !< grid index along z-direction
+       INTEGER(iwp) ::  k_mm   !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_pp   !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_ppp  !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  tn = 0 !< number of OpenMP thread
        
-       REAL(wp)    ::  diss_d !<
-       REAL(wp)    ::  div    !<
-       REAL(wp)    ::  flux_d !<
-       REAL(wp)    ::  gu     !<
-       REAL(wp)    ::  gv     !<
-       REAL(wp)    ::  u_comp !<
-       REAL(wp)    ::  w_comp !<
+       REAL(wp)    ::  diss_d !< artificial dissipation term at grid box bottom
+       REAL(wp)    ::  div    !< diverence on v-grid
+       REAL(wp)    ::  flux_d !< artificial 6th-order flux at grid box bottom
+       REAL(wp)    ::  gu     !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv     !< Galilei-transformation velocity along y
+       REAL(wp)    ::  u_comp !< advection velocity along x
+       REAL(wp)    ::  w_comp !< advection velocity along z
        
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_v !<
-       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_v !<
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_diss_y_local_v !< discretized artificial dissipation at southward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt) ::  swap_flux_y_local_v !< discretized 6th-order flux at southward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_v !<
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_v !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_v !< discretized artificial dissipation at leftward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_v !< discretized 6th-order flux at leftward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !<
-       REAL(wp), DIMENSION(nzb:nzt) ::  v_comp !<
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  diss_t !< discretized artificial dissipation at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  flux_t !< discretized 6th-order flux at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt) ::  v_comp !< advection velocity along y
 
        gu = 2.0_wp * u_gtrans
@@ -4807,42 +4810,42 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i      !<
-       INTEGER(iwp) ::  ibit27 !<
-       INTEGER(iwp) ::  ibit28 !<
-       INTEGER(iwp) ::  ibit29 !<
-       INTEGER(iwp) ::  ibit30 !<
-       INTEGER(iwp) ::  ibit31 !<
-       INTEGER(iwp) ::  ibit32 !<
-       INTEGER(iwp) ::  ibit33 !<
-       INTEGER(iwp) ::  ibit34 !<
-       INTEGER(iwp) ::  ibit35 !<
-       INTEGER(iwp) ::  j      !<
-       INTEGER(iwp) ::  k      !<
-       INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_pp   !<
-       INTEGER(iwp) ::  k_ppp  !<
-       INTEGER(iwp) ::  tn = 0 !<
+       INTEGER(iwp) ::  i      !< grid index along x-direction
+       INTEGER(iwp) ::  ibit27 !< flag indicating 1st-order scheme along x-direction
+       INTEGER(iwp) ::  ibit28 !< flag indicating 3rd-order scheme along x-direction
+       INTEGER(iwp) ::  ibit29 !< flag indicating 5th-order scheme along x-direction
+       INTEGER(iwp) ::  ibit30 !< flag indicating 1st-order scheme along y-direction
+       INTEGER(iwp) ::  ibit31 !< flag indicating 3rd-order scheme along y-direction
+       INTEGER(iwp) ::  ibit32 !< flag indicating 5th-order scheme along y-direction
+       INTEGER(iwp) ::  ibit33 !< flag indicating 1st-order scheme along z-direction
+       INTEGER(iwp) ::  ibit34 !< flag indicating 3rd-order scheme along z-direction
+       INTEGER(iwp) ::  ibit35 !< flag indicating 5th-order scheme along z-direction
+       INTEGER(iwp) ::  j      !< grid index along y-direction
+       INTEGER(iwp) ::  k      !< grid index along z-direction
+       INTEGER(iwp) ::  k_mm   !< k-2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_pp   !< k+2 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  k_ppp  !< k+3 index in disretization, can be modified to avoid segmentation faults
+       INTEGER(iwp) ::  tn = 0 !< number of OpenMP thread
        
-       REAL(wp)    ::  diss_d !<
-       REAL(wp)    ::  div    !<
-       REAL(wp)    ::  flux_d !<
-       REAL(wp)    ::  gu     !<
-       REAL(wp)    ::  gv     !<
-       REAL(wp)    ::  u_comp !<
-       REAL(wp)    ::  v_comp !<
-       REAL(wp)    ::  w_comp !<
+       REAL(wp)    ::  diss_d !< artificial dissipation term at grid box bottom
+       REAL(wp)    ::  div    !< divergence on w-grid
+       REAL(wp)    ::  flux_d !< 6th-order flux at grid box bottom
+       REAL(wp)    ::  gu     !< Galilei-transformation velocity along x
+       REAL(wp)    ::  gv     !< Galilei-transformation velocity along y
+       REAL(wp)    ::  u_comp !< advection velocity along x
+       REAL(wp)    ::  v_comp !< advection velocity along y
+       REAL(wp)    ::  w_comp !< advection velocity along z
        
-       REAL(wp), DIMENSION(nzb:nzt)    ::  diss_t !<
-       REAL(wp), DIMENSION(nzb:nzt)    ::  flux_t !<
+       REAL(wp), DIMENSION(nzb:nzt)    ::  diss_t !< discretized artificial dissipation at top of the grid box
+       REAL(wp), DIMENSION(nzb:nzt)    ::  flux_t !< discretized 6th-order flux at top of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_n !<
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_r !<
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_n !<
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_r !<
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_diss_y_local_w !<
-       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_flux_y_local_w !<
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_n !< discretized artificial dissipation at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  diss_r !< discretized artificial dissipation at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_n !< discretized 6th-order flux at northward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  flux_r !< discretized 6th-order flux at rightward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_diss_y_local_w !< discretized artificial dissipation at southward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt)  ::  swap_flux_y_local_w !< discretized 6th-order flux at southward-side of the grid box
        
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_w !<
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_w !<
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_diss_x_local_w !< discretized artificial dissipation at leftward-side of the grid box
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_w !< discretized 6th-order flux at leftward-side of the grid box
  
        gu = 2.0_wp * u_gtrans
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 3546)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3421 2018-10-24 18:39:32Z gronemeier
 ! Renamed output variables
 ! 
@@ -126,6 +129,6 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  m       !<
-    INTEGER(iwp) ::  pr      !<
+    INTEGER(iwp) ::  m       !< running index over spectra output
+    INTEGER(iwp) ::  pr      !< index used to assign default quantities to data output
     
     CALL cpu_log( log_point(31), 'data_output_spectra', 'start' )
@@ -267,15 +270,15 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=1), INTENT(IN) ::  direction     !<
-
-    INTEGER(iwp), INTENT(IN)      ::  nsp           !<
-
-    INTEGER(iwp)                  ::  i             !<
-    INTEGER(iwp)                  ::  k             !<
-
-    REAL(wp)                      ::  frequency     !<
-
-    REAL(wp), DIMENSION(nx/2)     ::  netcdf_data_x !<
-    REAL(wp), DIMENSION(ny/2)     ::  netcdf_data_y !<
+    CHARACTER (LEN=1), INTENT(IN) ::  direction     !< directio of spectra evaluation
+
+    INTEGER(iwp), INTENT(IN)      ::  nsp           !< number of spectrum
+
+    INTEGER(iwp)                  ::  i             !< running index in frequency space
+    INTEGER(iwp)                  ::  k             !< running index over number of spectrum
+
+    REAL(wp)                      ::  frequency     !< wavenumber
+
+    REAL(wp), DIMENSION(nx/2)     ::  netcdf_data_x !< normalized wavenumber along x written into NetCDF file
+    REAL(wp), DIMENSION(ny/2)     ::  netcdf_data_y !< normalized wavenumber along y written into NetCDF file
 
 
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 3546)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 2759 2018-01-17 16:24:59Z suehring
 ! Major bugfix, horizontal diffusion at vertical surfaces corrected.
 ! 
@@ -186,7 +189,7 @@
        REAL(wp), DIMENSION(1:surf_def_h(2)%ns) ::  s_flux_t           !< flux at model top
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  s  !< 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  s  !< treated scalar
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  s  !< 
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  s  !< treated scalar
 #endif
 
@@ -497,7 +500,7 @@
        REAL(wp), DIMENSION(1:surf_def_h(2)%ns) ::  s_flux_t           !< flux at model top
 #if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  s !< 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  s !< treated scalar
 #else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  s  !< 
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  s  !< treated scalar
 #endif
 
Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 3546)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3241 2018-09-12 15:02:00Z raasch
 ! unused variables removed
 ! 
@@ -154,12 +157,12 @@
        INTEGER(iwp) ::  l             !< running index of surface type, south- or north-facing wall
        INTEGER(iwp) ::  m             !< running index surface elements
-       INTEGER(iwp) ::  surf_e        !< End index of surface elements at (j,i)-gridpoint
-       INTEGER(iwp) ::  surf_s        !< Start index of surface elements at (j,i)-gridpoint
+       INTEGER(iwp) ::  surf_e        !< end index of surface elements at (j,i)-gridpoint
+       INTEGER(iwp) ::  surf_s        !< start index of surface elements at (j,i)-gridpoint
 
        REAL(wp)     ::  flag          !< flag to mask topography grid points
-       REAL(wp)     ::  kmym          !< 
-       REAL(wp)     ::  kmyp          !<
-       REAL(wp)     ::  kmzm          !<
-       REAL(wp)     ::  kmzp          !<
+       REAL(wp)     ::  kmym          !< diffusion coefficient on southward side of the u-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmyp          !< diffusion coefficient on northward side of the u-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmzm          !< diffusion coefficient on bottom of the gridbox - interpolated onto xu-zw grid
+       REAL(wp)     ::  kmzp          !< diffusion coefficient on top of the gridbox - interpolated onto xu-zw grid
        REAL(wp)     ::  mask_bottom   !< flag to mask vertical upward-facing surface       
        REAL(wp)     ::  mask_north    !< flag to mask vertical surface north of the grid point 
@@ -395,8 +398,8 @@
 
        REAL(wp)     ::  flag          !< flag to mask topography grid points
-       REAL(wp)     ::  kmym          !< 
-       REAL(wp)     ::  kmyp          !<
-       REAL(wp)     ::  kmzm          !<
-       REAL(wp)     ::  kmzp          !<
+       REAL(wp)     ::  kmym          !< diffusion coefficient on southward side of the u-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmyp          !<diffusion coefficient on northward side of the u-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmzm          !< diffusion coefficient on bottom of the gridbox - interpolated onto xu-zw grid
+       REAL(wp)     ::  kmzp          !< diffusion coefficient on top of the gridbox - interpolated onto xu-zw grid
        REAL(wp)     ::  mask_bottom   !< flag to mask vertical upward-facing surface       
        REAL(wp)     ::  mask_north    !< flag to mask vertical surface north of the grid point 
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 3546)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3241 2018-09-12 15:02:00Z raasch
 ! unused variables removed
 ! 
@@ -153,8 +156,8 @@
 
        REAL(wp)     ::  flag          !< flag to mask topography grid points
-       REAL(wp)     ::  kmxm          !< 
-       REAL(wp)     ::  kmxp          !< 
-       REAL(wp)     ::  kmzm          !< 
-       REAL(wp)     ::  kmzp          !< 
+       REAL(wp)     ::  kmxm          !< diffusion coefficient on leftward side of the v-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmxp          !< diffusion coefficient on rightward side of the v-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmzm          !< diffusion coefficient on bottom of the gridbox - interpolated onto yv-zw grid
+       REAL(wp)     ::  kmzp          !< diffusion coefficient on top of the gridbox - interpolated onto yv-zw grid
        REAL(wp)     ::  mask_bottom   !< flag to mask vertical upward-facing surface  
        REAL(wp)     ::  mask_east     !< flag to mask vertical surface south of the grid point 
@@ -384,8 +387,8 @@
 
        REAL(wp)     ::  flag          !< flag to mask topography grid points
-       REAL(wp)     ::  kmxm          !< 
-       REAL(wp)     ::  kmxp          !< 
-       REAL(wp)     ::  kmzm          !< 
-       REAL(wp)     ::  kmzp          !< 
+       REAL(wp)     ::  kmxm          !< diffusion coefficient on leftward side of the v-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmxp          !< diffusion coefficient on rightward side of the v-gridbox - interpolated onto xu-yv grid
+       REAL(wp)     ::  kmzm          !< diffusion coefficient on bottom of the gridbox - interpolated onto xu-zw grid
+       REAL(wp)     ::  kmzp          !< diffusion coefficient on top of the gridbox - interpolated onto xu-zw grid
        REAL(wp)     ::  mask_bottom   !< flag to mask vertical upward-facing surface  
        REAL(wp)     ::  mask_east     !< flag to mask vertical surface south of the grid point 
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 3546)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3241 2018-09-12 15:02:00Z raasch
 ! unused variables removed
 ! 
@@ -152,8 +155,8 @@
        
        REAL(wp) ::  flag              !< flag to mask topography grid points
-       REAL(wp) ::  kmxm              !<
-       REAL(wp) ::  kmxp              !<
-       REAL(wp) ::  kmym              !<
-       REAL(wp) ::  kmyp              !< 
+       REAL(wp) ::  kmxm              !< diffusion coefficient on leftward side of the w-gridbox - interpolated onto xu-y grid
+       REAL(wp) ::  kmxp              !<diffusion coefficient on rightward side of the w-gridbox - interpolated onto xu-y grid
+       REAL(wp) ::  kmym              !< diffusion coefficient on southward side of the w-gridbox - interpolated onto x-yv grid
+       REAL(wp) ::  kmyp              !< diffusion coefficient on northward side of the w-gridbox - interpolated onto x-yv grid
        REAL(wp) ::  mask_west         !< flag to mask vertical wall west of the grid point
        REAL(wp) ::  mask_east         !< flag to mask vertical wall east of the grid point 
@@ -180,5 +183,5 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmxp = 0.25_wp * ( km(k,j,i)   +   km(k,j,i+1) +               &
+                kmxp = 0.25_wp * ( km(k,j,i)   + km(k,j,i+1)   +               &
                                    km(k+1,j,i) + km(k+1,j,i+1) )
                 kmxm = 0.25_wp * ( km(k,j,i)   + km(k,j,i-1)   +               &
@@ -328,8 +331,8 @@
        
        REAL(wp) ::  flag              !< flag to mask topography grid points
-       REAL(wp) ::  kmxm              !<
-       REAL(wp) ::  kmxp              !<
-       REAL(wp) ::  kmym              !<
-       REAL(wp) ::  kmyp              !< 
+       REAL(wp) ::  kmxm              !< diffusion coefficient on leftward side of the w-gridbox - interpolated onto xu-y grid
+       REAL(wp) ::  kmxp              !< diffusion coefficient on rightward side of the w-gridbox - interpolated onto xu-y grid
+       REAL(wp) ::  kmym              !< diffusion coefficient on southward side of the w-gridbox - interpolated onto x-yv grid
+       REAL(wp) ::  kmyp              !< diffusion coefficient on northward side of the w-gridbox - interpolated onto x-yv grid
        REAL(wp) ::  mask_west         !< flag to mask vertical wall west of the grid point
        REAL(wp) ::  mask_east         !< flag to mask vertical wall east of the grid point 
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 3546)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3525 2018-11-14 16:06:14Z kanani
 ! Changes related to clean-up of biometeorology (dom_dwd_user)
 ! 
@@ -685,16 +688,16 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i             !<
-    INTEGER(iwp) ::  ind_array(1)  !<
-    INTEGER(iwp) ::  j             !<
-    INTEGER(iwp) ::  k             !<
+    INTEGER(iwp) ::  i             !< grid index in x direction
+    INTEGER(iwp) ::  ind_array(1)  !< dummy used to determine start index for external pressure forcing
+    INTEGER(iwp) ::  j             !< grid index in y direction
+    INTEGER(iwp) ::  k             !< grid index in z direction
     INTEGER(iwp) ::  k_surf        !< surface level index
     INTEGER(iwp) ::  m             !< index of surface element in surface data type
     INTEGER(iwp) ::  sr            !< index of statistic region
 
-    INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::  ngp_2dh_l  !<
-
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l    !<
-    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner_l  !<
+    INTEGER(iwp), DIMENSION(:), ALLOCATABLE   ::  ngp_2dh_l  !< toal number of horizontal grid points in statistical region on subdomain
+
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l    !< number of horizontal non-wall bounded grid points on subdomain
+    INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner_l  !< number of horizontal non-topography grid points on subdomain
 
     REAL(wp)     ::  t_surface !< air temperature at the surface
@@ -705,22 +708,23 @@
     INTEGER(iwp) ::  l       !< loop variable
     INTEGER(iwp) ::  nzt_l   !< index of top PE boundary for multigrid level
+    
     REAL(wp) ::  dx_l !< grid spacing along x on different multigrid level
     REAL(wp) ::  dy_l !< grid spacing along y on different multigrid level
 
-    REAL(wp), DIMENSION(1:3) ::  volume_flow_area_l     !<
-    REAL(wp), DIMENSION(1:3) ::  volume_flow_initial_l  !<
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mean_surface_level_height_l    !<
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_l    !<
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_tmp  !<
-
-    INTEGER(iwp) ::  nz_u_shift   !< 
-    INTEGER(iwp) ::  nz_v_shift   !<
-    INTEGER(iwp) ::  nz_w_shift   !<
-    INTEGER(iwp) ::  nz_s_shift   !<
-    INTEGER(iwp) ::  nz_u_shift_l !<
-    INTEGER(iwp) ::  nz_v_shift_l !<
-    INTEGER(iwp) ::  nz_w_shift_l !<
-    INTEGER(iwp) ::  nz_s_shift_l !< 
+    REAL(wp), DIMENSION(1:3) ::  volume_flow_area_l     !< area of lateral and top model domain surface on local subdomain
+    REAL(wp), DIMENSION(1:3) ::  volume_flow_initial_l  !< initial volume flow into model domain
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  mean_surface_level_height_l !< mean surface level height on subdomain
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_l    !< total number of non-topography grid points on subdomain
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  ngp_3d_inner_tmp  !< total number of non-topography grid points
+
+    INTEGER(iwp) ::  nz_u_shift   !< topography-top index on u-grid, used to vertically shift initial profiles
+    INTEGER(iwp) ::  nz_v_shift   !< topography-top index on v-grid, used to vertically shift initial profiles
+    INTEGER(iwp) ::  nz_w_shift   !< topography-top index on w-grid, used to vertically shift initial profiles
+    INTEGER(iwp) ::  nz_s_shift   !< topography-top index on scalar-grid, used to vertically shift initial profiles
+    INTEGER(iwp) ::  nz_u_shift_l !< topography-top index on u-grid, used to vertically shift initial profiles
+    INTEGER(iwp) ::  nz_v_shift_l !< topography-top index on v-grid, used to vertically shift initial profiles
+    INTEGER(iwp) ::  nz_w_shift_l !< topography-top index on w-grid, used to vertically shift initial profiles
+    INTEGER(iwp) ::  nz_s_shift_l !< topography-top index on scalar-grid, used to vertically shift initial profiles
 
     CALL location_message( 'allocating arrays', .FALSE. )
Index: /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 3546)
+++ /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 3547)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3361 2018-10-16 20:39:37Z knoop
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -337,6 +340,6 @@
        IMPLICIT NONE
 
-       surf_vertical = .FALSE.
-       downward      = .FALSE.
+       surf_vertical = .FALSE. !< flag indicating vertically orientated surface elements
+       downward      = .FALSE. !< flag indicating downward-facing surface elements
 !
 !--    Derive potential temperature and specific humidity at first grid level 
@@ -1036,11 +1039,11 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i             !< running index x direction
-       INTEGER(iwp) ::  j             !< running index y direction
-       INTEGER(iwp) ::  k             !< running index z direction
-       INTEGER(iwp) ::  m             !< running index surface elements
-
-       REAL(wp)     ::  u_i
-       REAL(wp)     ::  w_i
+       INTEGER(iwp) ::  i   !< running index x direction
+       INTEGER(iwp) ::  j   !< running index y direction
+       INTEGER(iwp) ::  k   !< running index z direction
+       INTEGER(iwp) ::  m   !< running index surface elements
+
+       REAL(wp)     ::  u_i !< u-component on xu-grid
+       REAL(wp)     ::  w_i !< w-component on xu-grid
 
 
@@ -1071,11 +1074,11 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i             !< running index x direction
-       INTEGER(iwp) ::  j             !< running index y direction
-       INTEGER(iwp) ::  k             !< running index z direction
-       INTEGER(iwp) ::  m             !< running index surface elements
-
-       REAL(wp)     ::  v_i
-       REAL(wp)     ::  w_i
+       INTEGER(iwp) ::  i   !< running index x direction
+       INTEGER(iwp) ::  j   !< running index y direction
+       INTEGER(iwp) ::  k   !< running index z direction
+       INTEGER(iwp) ::  m   !< running index surface elements
+
+       REAL(wp)     ::  v_i !< v-component on yv-grid
+       REAL(wp)     ::  w_i !< w-component on yv-grid
 
 
@@ -1105,12 +1108,12 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i             !< running index x direction
-       INTEGER(iwp) ::  j             !< running index y direction
-       INTEGER(iwp) ::  k             !< running index z direction
-       INTEGER(iwp) ::  m             !< running index surface elements
-
-       REAL(wp)     ::  u_i
-       REAL(wp)     ::  v_i
-       REAL(wp)     ::  w_i
+       INTEGER(iwp) ::  i   !< running index x direction
+       INTEGER(iwp) ::  j   !< running index y direction
+       INTEGER(iwp) ::  k   !< running index z direction
+       INTEGER(iwp) ::  m   !< running index surface elements
+
+       REAL(wp)     ::  u_i !< u-component on x-zw-grid
+       REAL(wp)     ::  v_i !< v-component on y-zw-grid
+       REAL(wp)     ::  w_i !< w-component on zw-grid
 !
 !--    North- (l=0) and south-facing (l=1) surfaces 
@@ -1157,12 +1160,12 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i             !< running index x direction
-       INTEGER(iwp) ::  j             !< running index y direction
-       INTEGER(iwp) ::  k             !< running index z direction
-       INTEGER(iwp) ::  m             !< running index surface elements
-
-       REAL(wp)     ::  u_i
-       REAL(wp)     ::  v_i
-       REAL(wp)     ::  w_i
+       INTEGER(iwp) ::  i   !< running index x direction
+       INTEGER(iwp) ::  j   !< running index y direction
+       INTEGER(iwp) ::  k   !< running index z direction
+       INTEGER(iwp) ::  m   !< running index surface elements
+
+       REAL(wp)     ::  u_i !< u-component on scalar grid
+       REAL(wp)     ::  v_i !< v-component on scalar grid
+       REAL(wp)     ::  w_i !< w-component on scalar grid
 
 !
Index: /palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_mod.f90	(revision 3546)
+++ /palm/trunk/SOURCE/surface_mod.f90	(revision 3547)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3467 2018-10-30 19:05:21Z suehring
 ! Bugfix in surface_wrd_local for cloud and rain water flux
 ! 
@@ -473,4 +476,8 @@
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  surfinlw            !< longwave radiation falling to local surface including radiation from reflections
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  surfoutlw           !< total longwave radiation outgoing from nonvirtual surfaces surfaces after all reflection
+       
+       REAL(wp), DIMENSION(:), ALLOCATABLE ::  n_vg_green          !< vangenuchten parameters
+       REAL(wp), DIMENSION(:), ALLOCATABLE ::  alpha_vg_green      !< vangenuchten parameters
+       REAL(wp), DIMENSION(:), ALLOCATABLE ::  l_vg_green          !< vangenuchten parameters
 
 
@@ -497,11 +504,9 @@
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  tt_green_m        !< t_green prognostic array 
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  zw_green          !< green layer depths (m)
-       REAL(wp), DIMENSION(:), ALLOCATABLE ::  n_vg_green        !< vangenuchten parameters
-       REAL(wp), DIMENSION(:), ALLOCATABLE ::  alpha_vg_green    !< vangenuchten parameters
-       REAL(wp), DIMENSION(:), ALLOCATABLE ::  l_vg_green    !< vangenuchten parameters
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  gamma_w_green_sat    !< hydraulic conductivity
+
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  gamma_w_green_sat !< hydraulic conductivity
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  lambda_w_green
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  gamma_w_green    !< hydraulic conductivity
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE :: tswc_h_m
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  gamma_w_green     !< hydraulic conductivity
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  tswc_h_m
 
 
@@ -625,11 +630,11 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i         !<
-       INTEGER(iwp) ::  j         !<
-       INTEGER(iwp) ::  k         !<
-
-       INTEGER(iwp), DIMENSION(0:1) ::  num_h         !<
-       INTEGER(iwp), DIMENSION(0:1) ::  num_h_kji     !<
-       INTEGER(iwp), DIMENSION(0:1) ::  start_index_h !<
+       INTEGER(iwp) ::  i         !< loop index along x-direction
+       INTEGER(iwp) ::  j         !< loop index along y-direction
+       INTEGER(iwp) ::  k         !< loop index along y-direction
+
+       INTEGER(iwp), DIMENSION(0:1) ::  num_h         !< number of surfaces
+       INTEGER(iwp), DIMENSION(0:1) ::  num_h_kji     !< number of surfaces for (j,i)-grid point
+       INTEGER(iwp), DIMENSION(0:1) ::  start_index_h !< local start index
 
 !
Index: /palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3546)
+++ /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3547)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3421 2018-10-24 18:39:32Z gronemeier
 ! Renamed output variables
 ! 
@@ -963,5 +966,5 @@
        IMPLICIT NONE
        
-       LOGICAL, INTENT(OUT)  ::  found 
+       LOGICAL, INTENT(OUT)  ::  found !< flag indicating if a variable string is found
 
 
